import request from '@/utils/request'
//获取其他用户名片信息
export function getCommonUserCardInfo(data) {
	return request({
		url: '/api/pub/getCommonUserCardInfo',
		method: 'post',
		data
	});
}
//获取模板详情
export function getShowTemplateItem(data) {
	return request({
		url: '/api/pub/getShowTemplateItem',
		method: 'post',
		data
	});
}

//购买皮肤模板
export function subShowTemplateOrder(data) {
	return request({
		url: '/api/user/subShowTemplateOrder',
		method: 'post',
		data
	});
}
// 获取服务时间类型
export function getServiceTimeTypeList(data) {
	return request({
		url: '/api/pub/getServiceTimeTypeList',
		method: 'post',
		data
	});
}
// 获取服务内容列表
export function getServiceTypeList(data) {
	return request({
		url: '/api/pub/getServiceTypeList',
		method: 'post',
		data
	});
}
// 获取服务职称
export function getUserWorkTypeList(data) {
	return request({
		url: '/api/pub/getUserWorkTypeList',
		method: 'post',
		data
	});
}

// 提交资料审核
export function subInfoAudit(data) {
	return request({
		url: '/api/user/subInfoAudit',
		method: 'post',
		data
	});
}

// 提交平台审核
export function subTypeAudit(data) {
	return request({
		url: '/api/user/subTypeAudit',
		method: 'post',
		data
	});
}
// 首页轮播图
export function getBannerList(data) {
	return request({
		url: '/api/pub/getBannerList',
		method: 'post',
		data
	});
}
// 首页模板列表
export function getShowTemplateList(data) {
	return request({
		url: '/api/pub/getShowTemplateList',
		method: 'post',
})
}
//我的模板
export function userShowTemplateList(data) {
	return request({
		url: '/api/user/userShowTemplateList',
		method: 'post',
		data
	});
}

//默认模板
export function setShowTemplate(data) {
	return request({
		url: '/api/user/setShowTemplate',
		method: 'post',
		data
	});
}

//获取本人用户名片信息
export function getUserCardInfo(data, id) {
	return request({
		url: '/api/user/getUserCardInfo',
		method: 'post',
		data
	});
}